class Bingrep < Formula
  desc "Greps through binaries from various OSs and architectures"
  homepage "https://github.com/m4b/bingrep"
  url "https://github.com/m4b/bingrep/archive/v0.11.0.tar.gz"
  sha256 "3012aef73b3ef5e8b100824af0db2131f81771338fec5f9fe47dc71bf3782506"
  license "MIT"

  depends_on "rust" => :build

  def install
    system "cargo", "install", *std_cargo_args
  end

  test do
    (testpath/"test.c").write <<~EOS
      int homebrew_test() {
        return 0;
      }
      int main() {
        return homebrew_test();
      }
    EOS
    system ENV.cc, testpath/"test.c"
    assert_match "homebrew_test", shell_output("#{bin}/bingrep a.out")
  end
end
